echo off


call %~dp0..\..\..\bin\init.bat

set CLASSPATH=".;*;%OG_CLASSPATH%;../WEB-INF/lib/*;"
set CLASSPATH="%CLASSPATH%;%CATALINA_HOME%/lib/servlet-api.jar;"
set CLASSPATH="%CLASSPATH%;%CATALINA_HOME%/lib/jsp-api.jar;"
set CLASSPATH="%CLASSPATH%;%CATALINA_HOME%/lib/catalina.jar;"
set CLASSPATH="%CLASSPATH%;%CATALINA_HOME%/lib/tomcat-jdbc.jar;"

set PROCPATH="%CATALINA_HOME%/lib/websocket-api.jar;"

javac -classpath %CLASSPATH% -processorpath %PROCPATH% -encoding UTF-8 -Xlint:all -d classes *.java

pause
